<template>
  <button :disabled="disabled || isLoading" v-bind="$attrs" v-on="$listeners">
    <span v-if="isLoading">Loading</span>
    <slot v-else />
  </button>
</template>

<script>
export default {
  inheritAttrs: false,
  props: {
    isLoading: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style scoped lang="scss">
button {
  border: none;
  padding: 5px 10px;
  background: green;
  border-radius: 5px;
  color: #fff;
  &:not(:disabled) {
    cursor: pointer;
  }
}
</style>